html {
  height: 100%;
}

body {
  display: flex;
  width: 100%;
  height: 100%;
  -webkit-user-select: none;
}

hr {
    width: 80%;
    height: 0.1rem;
    background: black;
    border: none;
}

.ecran {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0px;
  left: 0px;
  background-color: #fefefe;
  opacity: 0.5;
  z-index: 9999;
}

.messages--vert {
  color: lightgreen;
}

.messages--orange {
  color: #df7f09;
}

.zoneAction {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 75%;
  height: 100%;
}

.zoneAction_annonces {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  box-sizing: border-box;
  color: red;
  background-color: #734432;
  height: 20%;
  font-size: 3vmin;
  font-weight: bold;
  border-color: white;
  border-style: solid;
  border-left-width: 5px;
  border-top-width: 10px;
  border-bottom-width: 5px;
  border-right-width: 10px;
  padding: 10px;
}

.zoneExercice {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 70%;
  background-color: white;
  border-color: white;
  border-style: solid;
  border-left-width: 5px;
  border-top-width: 5px;
  border-bottom-width: 10px;
  border-right-width: 10px;
}

.zoneExercice_form,
.zoneExercice_solution {
  max-height: 10%;;
  margin: 0.5rem 0 0.5rem 0;
  font-size: 3.5vmin;
}

.zoneExercice_form--visible {
  display: block;
}

.zoneExercice_form--invisible {
  display: none;
}

.zoneExercice_input {
  border: none;
  background-color: lightpink;
  width: 9rem;
  text-align: center;
}

.zoneExercice_solution--invisible {
  display: none;
}

.zoneExercice_solution--optimal {
  color: limegreen
}

.zoneExercice_solution--moyen {
  color: orange;
}

.zoneExercice_solution--abandon {
  color: red;
}

.zoneAction_boutons {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 10%;
  box-sizing: border-box;
  font-size: 1.9vmin;
  line-height: 2.5vmin;
}

.zoneAction_btcommande {
  height: 4vmin;
}

.zoneAnnexe {
osition: relative;
    display: flex;
    flex-direction: column;
    width: 25%;
    background-color: #dedcd8;
    font-size: 1.9vmin;
    line-height: 2.5vmin;
    padding-top: 8rem;
}

.zoneAnnexe_p {
  text-align: left;
  margin-left: 3%;
}

.formNiveau {
  margin-top: 2%;
}

.formNiveau_titre {
  font-weight: bold;
  margin-top: 1%;
  font-size: 2.5vmin;
}

.zoneResultats {
  flex-direction: column;
  width: 92%;
  height: 40%;
  box-sizing: border-box;
  border: solid black 1px;
  border-radius: 15px;
  margin: 4%;
}

.zoneResultats_titre {
  position: relative;
  float: left;
  margin-left: 3%;
  margin-top: -4%;
  padding-left: 5px;
  padding-right: 5px;
  background-color: #dedcd8;
}

.zoneResultats_corps {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
}

.blocResultats_bloc1 {
  height: 30%;
}

.blocResultats_bloc2 {
  height: 45%;
}

.zoneResultats_boutons {
 height: 18%;
 margin: auto;
}

.zoneResultats_bouton {
  background-color: #262626;
  color: white;
  font-size: 1.5vmin;
  border-radius: 0;
  border: none;
 }

 .zoneResultats_bouton:hover {
   background-color: #262626;
   opacity: 0.5;
 }

.labelResultat {
  margin-left: 2%;
}

.blocResultats {
  display: Flex;
  flex-direction: column;
  width: 100%;
  justify-content: center;
}

.blocResultats_titre {
  font-weight: bold;
  display: flex;
 justify-content: center;
 margin-bottom: 6px;
}

.ligneResultat {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.resultat {
  color: black;
  font-weight: bold;
  padding-right: 2%;
}

.zoneAnnexe_zoneSelection,
.zoneAnnexe_affichage {
  width: 96%;
  height: 60%;
  margin-left: 2%;
}

.zoneAnnexe_zoneSelection select {
  max-width: 96%;
  margin-bottom: 2%;
}

.zoneAnnexe_zoneSelection_radio {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border-radius: 50%;
  width: 16px;
  height: 16px;
  border: 1px solid #000;
  transition: 0.2s all linear;
  margin-right: 5px;
  position: relative;
  top: 4px;
}

.zoneAnnexe_zoneSelection_radio:checked {
  border: 6px solid black;
}

.zoneAnnexe_zoneSelection_radio:checked + label {
  background-color: black;
  color: white;
  padding: 5px;
}

.zoneAnnexe_zoneSelection_radio:hover {
  cursor: pointer;
}
.zoneAnnexe_zoneSelection_label:hover {
  cursor: pointer;
}

.zoneAnnexe_zoneSelection--invisible,
.zoneAnnexe_affichage--invisible {
  /* visibility: hidden; */
  display: none;
}

.zoneAnnexe_zoneSelection--visible,
.zoneAnnexe_affichage--visible {
  /* visibility: visible; */
  display: block;
}

.zoneAnnexe_affichage {
  margin-top: 10px;
  line-height: 6vmin;
  text-align: center;
  font-size: 5vmin;
  font-weight: bold;
}

.modaleNom {
  height: 22%;
  width: 30%;
  left: 35%;
  top: 20%;
  background-color:#c8c8c8;
  font-size: 3vmin;
}

.formNom {
  justify-content: center;
  align-items: center;
}

.modaleNom_input {
  width: 95%;
}

.modaleResultats {
  z-index: 99999;
  height: 100%;
  width: 75%;
  position: fixed;
  left: 12%;
  top: 0;
  background-color: #fff;
  padding: 15px;
  box-sizing: border-box;
  font-size: 1.6vmin;
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.5), 0 6px 20px 0 rgba(0,0,0,0.2);
}

.modaleResultats_tabResultats {
  margin: auto;
  padding-top: inherit;
}
.modaleResultats_tabResultats_tab {
  border-collapse: collapse;
}

.modaleResultats_commandes {
  margin-top: 2%;
}

.modaleResultats_entete {
  width: 100%;
  height: 8%;
  margin: auto;
}

.modaleResultats_entete_titre {
  text-align: center;
  font-size: 2.5vmin;
}

.modaleResultats_ligneNom {
  font-size: 2.5vmin;
  width: 100%;
  text-align: center;
  margin: auto;
}

.modaleResultats_tabResultats_titreCol,
.modaleResultats_tabResultats_titreCell {
  font-weight: bold;
  border:thin solid black;
  padding: 5px;
}

.modaleResultats_tabResultats_cell_intitules {
  text-align: left;
  border-bottom: thin solid black;
  padding: 5px;
}

.modaleResultats_tabResultats_cell_resultats {
  text-align: right;
  vertical-align: top;
  border-right: thin solid black;
  border-bottom: thin solid black;
  padding: 5px;
}

.modaleInfos {
  height: 75%;
  width: 95%;
  left: 2.5%;
  top: 8%;
  background-color: #f1f1f1;
  font-size: 2vmin;
}

.modaleInfos_corps {
  height:90%;
}

.modaleInfos_titre {
  margin-top: 0.2em;
  font-size: 2.5vmin;
  color: red;
}

.modaleInfos_tab {
  width: 100%;
  border-collapse: collapse;
  margin-bottom: 2em;
}

.modaleInfos_tab_titreCol,
.modaleInfos_tab_cell {
  border:thin solid black;
  padding: 5px;
}

.modaleInfos_bouton {
  background-color: #262626;
  color: white;
}

.consigne {
  color: white;
  text-align: center;
  font-size: 3vh;
  font-weight: normal;
}

.lb-inactif {
  opacity: 0;
}

.lb-actif {
  opacity: 1;
}

@media print {
  .noprint {
     display: none;
   }
 }

@media screen and (orientation: portrait) {
  body {
    flex-direction: column;
  }
  .zoneAnnexe {
    flex-direction: row;
    width: 100%;
    height: 50%;
    font-size: 2vw;
    border-bottom-width: 5px;
    border-right-width: 10px;
  }
 .zoneAction {
    width: 100%;
    height: 50%;
  }
  .zoneAction_annonces {
    border-left-width: 10px;
    font-size: 3vw;
  }
  .zoneExercice {
    border-bottom-width: 10px;
    border-left-width: 10px;
  }
  .zoneExercice_formSaisie {
    height: 70%;
  }
.zoneResultats {
    width: 50%;
    height: 88%;
  }

zoneAnnexe_zoneSelection {
    width: 50%;
    height: 100%;
}

 .modaleNom {
    font-size: 2vh;
  }

  .consigne {
    font-size: 2.5vw;
  }
}
